Problem/Bug Java "NoSuchMethod" Error

Discussion in 'Bukkit Help' started by sasalakic99, Jul 31, 2019.

  1. Offline

    sasalakic99

    Hey guys! I'm having a problem when trying to run WorldEdit on Spigot.
    Here's the error report from the log:
    https://pastebin.com/5uc6cwaD
    And here's the full latest log:
    https://pastebin.com/r18jD2aD
    I do have the latest version of the plugin and Spigot (hopefully).
    If anyone can help me I would be very thankful.
    Oh, and I don't have any knowlege in coding, I'm just running a server for me and my family and friends.
     
  2. Offline

    Kars

    Does the plugin work though?
    It is a warning, not an error. It says failed to load something that has to do with the legacy id registry. Something to do with older versions and how they used to identify items and blocks.

    It likely just prints the exception for debugging purposes. If the plugin works you are fine.
     
  3. Offline

    sasalakic99

    Well, the plugin displays the same error when I try to use some of its commands, for example I try to remove big portion of blocks, I am able to select the area that I want to replace with air and then the error displays when I use the //set 0 command. I can deliver you the log or the in-game screenshot of the error, but as much as I can see it basically delivers the same message as the warning in the log that I have sent to you.
    I too as you believe that the problem is some kind of version mismatch, but I don't know what kind.
     
  4. Offline

    Kars

    @sasalakic99 in 1.13 they changed the way block identifiers work. Judging by this, WorldEdit has functionality built in to dynamically work cross version or something. I say that because it gives you this warning but works nonetheless. Are you sure you are using the latest version 7.0.0?
     
  5. Offline

    sasalakic99

    Hey Kars! Thanks for the effort, I did download the latest version that was available on Bukkit Plugins page. It says that the latest released file was on July 22nd which is in fact WorldEdit Bukkit 7.0.0.
    I will download the .jar file again just to be sure that the plugin portion isn't an issue here.
    Also, I downloaded the server .jar file directly from the Bukkit site, which is I believe Spigot 1.14.4.
    Should I run BuildTools? Also should I try to uninstall and then install Java SE Development Kit and Java?
    P.S. I also suspected that the problem was that my Windows user name is in cyrillic letters, maybe that can cause some weird kind of interference because .minecraft is in Roaming folder, however the Server and Java installation directories are located in C:/Program Files. Just an interesting problem. It seems like the plugin is "lost" and can't find its commands. It runs fine though.
    Thanks in advance! I appreciate your help.
     
  6. Offline

    Kars

    @sasalakic99 it is related to the plugin and bukkit, nothing else. No need to strain yourself.
    If i come across something further i'll let ya know.

    Edit:
    It's the plugin. You're not the only one with this problem.
     
    Last edited: Aug 1, 2019
  7. Offline

    sasalakic99

    So should I just wait for the next version or is there some soulution?
    I read somewhere that someone changed author to public and that it have worked.
     
    Last edited: Aug 2, 2019
  8. Offline

    Machine Maker

    I believe World Edit has a discord if you look around on their various sites. I would ask there if there are any fixes. They are much more likely to be able to help you with this specific issue.
     
  9. Offline

    sasalakic99

    Thank you, I'll try to contact them
     

Share This Page